## rally 0.9.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Rally core dependencies
alembic>=0.8.10,<=0.9.1                                # MIT
decorator>=3.4.0,<=4.0.11                              # new BSD License
Jinja2>=2.8,!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,<=2.9.5  # BSD
jsonschema>=2.0.0,!=2.5.0,<3.0.0                       # MIT
netaddr>=0.7.13,!=0.7.16,<=0.7.19                      # BSD
oslo.config>=3.22.0,<=3.23.0                           # Apache Software License
oslo.db>=4.15.0,<=4.18.0                               # Apache Software License
oslo.i18n>=2.1.0,<=3.14.0                              # Apache Software License
oslo.log>=3.11.0,<=3.21.0                              # Apache Software License
oslo.serialization>=1.10.0,<=2.17.0                    # Apache Software License
oslo.utils>=3.20.0,<=3.23.0                            # Apache Software License
paramiko>=2.0,<=2.1.2                                  # LGPL
pbr==2.0.0                                             # Apache Software License
PrettyTable>=0.7.1,<0.8                                # BSD
PyYAML>=3.10.0,<=3.12                                  # MIT
python-subunit>=0.0.18,<=1.2.0
requests>=2.10.0,!=2.12.2,!=2.13.0,<=2.13.0            # Apache License, Version 2.0
SQLAlchemy>=1.0.10,<=1.1.6                             # MIT
sphinx>=1.5.1,<=1.5.3                                  # BSD
six>=1.9.0,<=1.10.0                                    # MIT
virtualenv                                             # MIT

# OpenStack related
boto>=2.32.1,<=2.46.1                                  # MIT
gnocchiclient>=2.7.0,<=3.1.1                           # Apache Software License
keystoneauth1>=2.18.0,<=2.19.0                         # Apache Software License
os-faults>=0.1.5,<=0.1.11                              # Apache Software License
python-ceilometerclient>=2.5.0,<=2.8.0                 # Apache Software License
python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1,<=2.0.1     # Apache Software License
python-designateclient>=1.5.0,<=2.6.0                  # Apache License, Version 2.0
python-glanceclient>=2.5.0,<=2.6.0                     # Apache License, Version 2.0
python-heatclient>=1.6.1,<=1.8.0                       # Apache Software License
python-ironicclient>=1.11.0,<=1.11.1                   # Apache Software License
python-keystoneclient>=3.8.0,<=3.10.0                  # Apache Software License
python-magnumclient>=2.0.0,<=2.5.0                     # Apache Software License
python-manilaclient>=1.12.0,<=1.14.0                   # Apache Software License
python-mistralclient>=2.0.0,<=3.0.0                    # Apache Software License
python-monascaclient>=1.1.0,<=1.5.0                    # Apache Software License
python-muranoclient>=0.8.2,<=0.12.0                    # Apache License, Version 2.0
python-neutronclient>=5.1.0,<=6.1.0                    # Apache Software License
python-novaclient==7.1.0                               # Apache License, Version 2.0
python-saharaclient==1.1.0                             # Apache License, Version 2.0
python-senlinclient>=1.1.0,<=1.2.0                     # Apache Software License
python-swiftclient>=3.2.0,<=3.3.0                      # Apache Software License
python-troveclient>=2.2.0,<=2.8.0                      # Apache Software License
python-watcherclient>=0.23.0,<=1.0.0                   # Apache Software License
python-zaqarclient>=1.0.0,<=1.4.0                      # Apache Software License

=== debian/changelog ===
rally (0.9.1-0ubuntu2) artful; urgency=medium

  * d/p/drop-upper-bounds.patch: Drop upper bounds for six and sqla,
    resolving installability issues.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 10:20:15 +0100

rally (0.9.1-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1696083).
  * Align (Build-)Depends with upstream.
  * d/p/*: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Jun 2017 12:04:19 +0100

=== debian/control ===
Source: rally
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <novy@ondrej.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.10),
                     git,
                     python-boto (>= 2.32.1),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage (>= 3.6),
                     python-dateutil (>= 2.4.2),
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-designateclient (>= 1.5.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-gnocchiclient (>= 2.7.0),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.10.0),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-magnumclient (>= 2.0.0),
                     python-manilaclient (>= 1.10.0),
                     python-mistralclient (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-monascaclient (>= 1.1.0),
                     python-muranoclient (>= 0.8.2),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-oslo.config (>= 1:3.22.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-os-faults,
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-prettytable (>= 0.7.1),
                     python-pytest (>= 2.7),
                     python-requests (>= 2.10.0),
                     python-saharaclient (>= 1.1.0),
                     python-senlinclient (>= 0.3.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-swiftclient (>= 1:3.2.0),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 2.2.0),
                     python-watcherclient (>= 0.23.0),
                     python-yaml (>= 3.10.0),
                     python-zaqarclient (>= 1.0.0),
                     subunit (>= 0.0.18),
                     testrepository,
                     virtualenv,
Standards-Version: 3.9.6
Homepage: https://github.com/stackforge/rally
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/rally.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/rally.git

Package: python-rally
Section: python
Architecture: all
Depends: alembic (>= 0.8.4),
         python-boto (>= 2.32.1),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:1.6.0),
         python-decorator (>= 3.4.0),
         python-designateclient (>= 1.5.0),
         python-glanceclient (>= 1:2.5.0),
         python-gnocchiclient (>= 2.7.0),
         python-heatclient (>= 1.6.1),
         python-ironicclient (>= 1.10.1),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.18.0),
         python-keystoneclient (>= 1:3.8.0),
         python-magnumclient (>= 2.0.0),
         python-manilaclient (>= 1.10.0),
         python-mistralclient (>= 2.0.0),
         python-monascaclient (>= 1.1.0),
         python-muranoclient (>= 0.8.2),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:6.0.0),
         python-os-faults,
         python-oslo.config (>= 1:3.22.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paramiko (>= 2.0),
         python-prettytable (>= 0.7.1),
         python-requests (>= 2.10.0),
         python-saharaclient (>= 1.1.0),
         python-senlinclient (>= 0.3.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-swiftclient (>= 1:3.2.0),
         python-troveclient (>= 2.2.0),
         python-watcherclient (>= 0.23.0),
         python-yaml (>= 3.10.0),
         python-zaqarclient (>= 1.0.0),
         sqlite3,
         subunit (>= 0.0.18),
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - Python code
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the Python code.

Package: rally
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-rally (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - command line and configuration
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the command line and configuration file.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)


include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

# buildd provides a build environment where $HOME is not writable,
# which causes unit tests to fail.
export HOME = $(CURDIR)/debian/home

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) py.test tests/unit
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func rally.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func rally.postinst

override_dh_clean:
	dh_clean
	rm -rf build debian/rally.config debian/rally.postinst

override_dh_install:
	dh_install --fail-missing -Xetc/bash_completion.d/rally.bash_completion
	
	install -D -m 0644 $(CURDIR)/etc/rally.bash_completion $(CURDIR)/debian/rally/usr/share/bash-completion/completions/rally
	install -D -m 0644 $(CURDIR)/etc/rally/rally.conf.sample $(CURDIR)/debian/rally/usr/share/rally/rally.conf
	sed -i 's|^[ \t#]connection[ \t]*=|connection=sqlite:///var/lib/rally/rally.db|' $(CURDIR)/debian/rally/usr/share/rally/rally.conf

	# This shells script is broken, so I'm removing it.
	rm $(CURDIR)/debian/rally/usr/share/rally/samples/tasks/support/instance_linpack.sh

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://tarballs.openstack.org/rally/ rally-(\d\.\d\.\d)\.tar\.gz

## rally 1.2.1%2Bdfsg1

=== doc/requirements.txt ===
rally-openstack
# we are using theme from it
oslosphinx

## rally 1.2.1+dfsg1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Rally core dependencies
alembic                                                # MIT
decorator                                              # new BSD License
Jinja2                                                 # BSD
jsonschema<3.0.0                                       # MIT
morph                                                  # GPLv3+
netaddr                                                # BSD
oslo.config!=4.3.0,!=4.4.0                             # Apache Software License
# do not forget to remove `testresources` from test-requirements. it is a
# dependency of oslo.db for tests
oslo.db                                                # Apache Software License
oslo.log                                               # Apache Software License
paramiko                                               # LGPL
pbr!=2.1.0                                             # Apache Software License
PrettyTable<0.8                                        # BSD
pyOpenSSL                                              # Apache License, Version 2.0
PyYAML                                                 # MIT
python-subunit
requests                                               # Apache License, Version 2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8              # MIT
six                                                    # MIT
virtualenv                                             # MIT

=== debian/changelog ===
rally (1.2.1+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fix python3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Dec 2018 16:40:51 +0100

rally (1.2.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * New upstream release
  * d/watch: Changed to new URL
  * Fixed (build-)depends for this release
  * d/control
    - Changed homepage to new URL
    - Remove myself from Uploaders
  * Use OSLO_PACKAGE_VERSION from openstack-pkg-tools
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Bump my copyright year
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/copyright: Bump Thomas copyright year
  * d/copyright: Add more copyright holders from new upstream release
  * Bump debhelper compat level to 11
  * Standards version is 4.2.1 now (no changes)
  * Disable failing tests
  * Enable autopkgtest-pkg-python testsuite
  * Add upstream metadata

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.

  [ Thomas Goirand ]
  * Switch to Python 3.

 -- Ondřej Nový <onovy@debian.org>  Sun, 30 Sep 2018 13:51:30 +0200

=== debian/control ===
Source: rally
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools (>= 80~),
 po-debconf,
 python3-all,
 python3-oslosphinx,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-dateutil,
 python3-ddt,
 python3-decorator,
 python3-hacking (>= 0.12.0),
 python3-jinja2,
 python3-jsonschema,
 python3-mock,
 python3-morph,
 python3-netaddr,
 python3-openssl,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-paramiko,
 python3-prettytable,
 python3-pytest (>= 2.7),
 python3-pytest-xdist,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-subunit,
 python3-testresources,
 python3-testtools,
 python3-virtualenv,
 python3-yaml,
Standards-Version: 4.2.1
Homepage: https://github.com/openstack/rally
Vcs-Browser: https://salsa.debian.org/openstack-team/services/rally
Vcs-Git: https://salsa.debian.org/openstack-team/services/rally.git
Testsuite: autopkgtest-pkg-python

Package: python3-rally
Section: python
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-decorator,
 python3-jinja2,
 python3-jsonschema,
 python3-morph,
 python3-netaddr,
 python3-openssl,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-paramiko,
 python3-prettytable,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-virtualenv,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: benchmark System for OpenStack - Python code
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the Python code.

Package: rally
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-rally (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: benchmark System for OpenStack - command line and configuration
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the command line and configuration file.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf build debian/rally.config debian/rally.postinst

override_dh_auto_clean:
	python3 setup.py clean

override_dh_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for PYVER in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			PYTHON=python$$PYVER \
			python$$PYVER -m pytest tests/unit ; \
	done
endif

	dh_install
	
	rm -rf $(CURDIR)/debian/python3-rally/usr/etc
	mv $(CURDIR)/debian/python3-rally/usr/bin $(CURDIR)/debian/rally/usr

	install -D -m 0755 $(CURDIR)/etc/rally.bash_completion $(CURDIR)/debian/rally/usr/share/bash-completion/completions/rally
	install -D -m 0644 $(CURDIR)/etc/rally/rally.conf.sample $(CURDIR)/debian/rally/usr/share/rally/rally.conf
	sed -i 's|^[ \t#]connection[ \t]*=|connection=sqlite:///var/lib/rally/rally.db|' $(CURDIR)/debian/rally/usr/share/rally/rally.conf

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func rally.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func rally.postinst

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## rally 2.1.0%2B20200226.git.e9264de713%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+export TOX_ENV_NAME=debianpackage
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3

## rally 2.1.0+20200226.git.e9264de713+dfsg1

=== doc/requirements.txt ===
# we are using theme from it
oslosphinx

=== debian/changelog ===
rally (2.1.0+20200226.git.e9264de713+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch (that was disabling some tests).
  * Use debhelper-compat instead of debian/compat.
  * d/copyright: Bump my copyright year.
  * Define TOX_ENV_NAME=debianpackage to please unit test collecting.
  * Add remove-py3.8-failing-tests.patch (Closes: #951954).

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Feb 2020 20:51:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 80~),
  po-debconf,
@@ -24,8 +24,6 @@
  python3-jinja2,
  python3-jsonschema,
  python3-mock,
- python3-morph,
- python3-netaddr,
  python3-openssl,
  python3-oslo.config,
  python3-oslo.db,
@@ -57,8 +55,6 @@
  python3-decorator,
  python3-jinja2,
  python3-jsonschema,
- python3-morph,
- python3-netaddr,
  python3-openssl,
  python3-oslo.config,
  python3-oslo.db,

## rally 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Rally core dependencies
alembic!=1.2.0                                         # MIT
decorator                                              # new BSD License
Jinja2                                                 # BSD-3-Clause
jsonschema                                             # MIT
oslo.config!=4.3.0,!=4.4.0                             # Apache Software License
# do not forget to remove `testresources` from test-requirements. it is a
# dependency of oslo.db for tests
oslo.db                                                # Apache Software License
oslo.log                                               # Apache Software License
paramiko                                               # LGPL
pbr!=2.1.0                                             # Apache Software License
PrettyTable<0.8                                        # BSD
pyOpenSSL                                              # Apache License, Version 2.0
PyYAML                                                 # MIT
python-subunit
requests!=2.20.0                                       # Apache License, Version 2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8              # MIT
virtualenv!=16.3.0                                     # MIT

=== doc/requirements.txt ===
# we are using theme from it
oslosphinx

# Rally plugins
rally-openstack

=== debian/changelog ===
rally (3.1.0-2) unstable; urgency=medium

  * Add remove-failing-tests.patch.
  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 21:22:05 +0200

rally (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix build-depends for this release.
  * Removed remove-py3.8-failing-tests.patch.
  * Call pytest with -Wignore to ignore deprecation warning (Closes: #963381).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2020 17:43:32 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  python3-hacking (>= 0.12.0),
  python3-jinja2,
  python3-jsonschema,
- python3-mock,
  python3-openssl,
  python3-oslo.config,
  python3-oslo.db,
@@ -33,6 +32,7 @@
  python3-pytest (>= 2.7),
  python3-pytest-xdist,
  python3-requests,
+ python3-stestr,
  python3-six,
  python3-sqlalchemy,
  python3-subunit,

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	set -e ; set -x ; for PYVER in $(PYTHON3S); do \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
 			PYTHON=python$$PYVER \
-			python$$PYVER -m pytest tests/unit ; \
+			python$$PYVER -m pytest tests/unit -Wignore ; \
 	done
 endif

## rally 3.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Rally core dependencies
alembic!=1.2.0,!=1.6.3                                 # MIT
Jinja2                                                 # BSD-3-Clause
jsonschema                                             # MIT
markupsafe                                             # BSD-3-Clause
oslo.config!=4.3.0,!=4.4.0                             # Apache Software License
# do not forget to remove `testresources` from test-requirements. it is a
# dependency of oslo.db for tests
oslo.db                                                # Apache Software License
oslo.log!=3.44.2,!=4.1.2,!=4.2.0                       # Apache Software License
paramiko                                               # LGPL
pbr!=2.1.0                                             # Apache Software License
PrettyTable                                            # BSD (3 clause)
pyOpenSSL                                              # Apache License, Version 2.0
PyYAML                                                 # MIT
python-subunit                                         # Apache-2.0 or BSD
requests!=2.20.0,!=2.24.0                              # Apache License, Version 2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8              # MIT
virtualenv!=16.3.0                                     # MIT

=== doc/requirements.txt ===
# main dependencies
-r ../requirements.txt
sphinx!=1.6.6,!=1.6.7,!=2.1.0                          # BSD

# we are using theme from this package
oslosphinx                                             # Apache Software License

# plugins
rally-openstack

=== debian/changelog ===
rally (3.3.0-4) unstable; urgency=medium

  * Blacklist test_add_point_and_get_zipped_graph_2 that isn't working on
    Python 3.12 (Closes: #1058449).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jan 2024 08:33:25 +0100

rally (3.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045736).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 16:40:45 +0200

rally (3.3.0-2) unstable; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Apr 2023 11:06:02 +0200

rally (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-markupsafe as (build-)depends.
  * Add remove-test-walk-version.patch.
  * Add missing libjs-d3, libjs-angularjs depends (Closes: #911474).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Nov 2021 10:39:35 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 override_dh_clean:
 	dh_clean
 	rm -rf build debian/rally.config debian/rally.postinst
+	rm -rf .pytest_cache
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -27,7 +29,7 @@
 	set -e ; set -x ; for PYVER in $(PYTHON3S); do \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
 			PYTHON=python$$PYVER \
-			python$$PYVER -m pytest tests/unit -Wignore ; \
+			python$$PYVER -m pytest tests/unit -Wignore -k 'not test_add_point_and_get_zipped_graph_2' ; \
 	done
 endif

## rally 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -11,13 +11,13 @@
 # do not forget to remove `testresources` from test-requirements. it is a
 # dependency of oslo.db for tests
 oslo.db                                                # Apache Software License
-oslo.log!=3.44.2,!=4.1.2,!=4.2.0                       # Apache Software License
-paramiko                                               # LGPL
+oslo.log!=3.44.2,!=4.1.2,!=4.2.0,!=5.0.1,!=5.0.2,!=5.1.0  # Apache Software License
+paramiko!=2.9.0,!=2.9.1                                # LGPL
 pbr!=2.1.0                                             # Apache Software License
-PrettyTable                                            # BSD (3 clause)
+PrettyTable!=3.4.0                                     # BSD (3 clause)
 pyOpenSSL                                              # Apache License, Version 2.0
 PyYAML                                                 # MIT
 python-subunit                                         # Apache-2.0 or BSD
 requests!=2.20.0,!=2.24.0                              # Apache License, Version 2.0
-SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8              # MIT
+SQLAlchemy>=1.4.0                                      # MIT
 virtualenv!=16.3.0                                     # MIT

=== debian/changelog ===
rally (4.1.0-3) unstable; urgency=medium

  * Add es.po thanks to Jathan (Closes: #1092299).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Jan 2025 11:50:25 +0100

rally (4.1.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090689).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:47:23 +0100

rally (4.1.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS with newer SQLAlchemy (Closes: #1076916).
  * Refreshed patches.
  * Add python3-fixtures as build-depends.
  * Run tests in parallel.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Dec 2024 08:35:15 +0100

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,11 @@
  python3-dateutil,
  python3-ddt,
  python3-decorator,
+ python3-fixtures,
  python3-hacking (>= 0.12.0),
  python3-jinja2,
  python3-jsonschema,
+ python3-markupsafe,
  python3-openssl,
  python3-oslo.config,
  python3-oslo.db,
@@ -51,10 +53,13 @@
 Architecture: all
 Depends:
  alembic,
+ libjs-angularjs,
+ libjs-d3,
  python3-alembic,
  python3-decorator,
  python3-jinja2,
  python3-jsonschema,
+ python3-markupsafe,
  python3-openssl,
  python3-oslo.config,
  python3-oslo.db,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export TOX_ENV_NAME=debianpackage
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_clean:
 	dh_clean
@@ -29,7 +29,7 @@
 	set -e ; set -x ; for PYVER in $(PYTHON3S); do \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
 			PYTHON=python$$PYVER \
-			python$$PYVER -m pytest tests/unit -Wignore -k 'not test_add_point_and_get_zipped_graph_2' ; \
+			python$$PYVER -m pytest -v -n `nproc` tests/unit -Wignore -k 'not test_add_point_and_get_zipped_graph_2' ; \
 	done
 endif

## rally 5.0.0

=== requirements.txt ===

# Rally core dependencies
alembic!=1.2.0,!=1.6.3
Jinja2                                                 # BSD
jsonschema
markupsafe
oslo.config!=4.3.0,!=4.4.0                             # Apache Software License
# do not forget to remove `testresources` from test-requirements. it is a
# dependency of oslo.db for tests
oslo.db                                                # Apache Software License
oslo.log!=3.44.2,!=4.1.2,!=4.2.0,!=5.0.1,!=5.0.2,!=5.1.0  # Apache Software License
packaging!=20.5,!=20.6,!=20.7                          # Apache Software License/BSD License
paramiko!=2.9.0,!=2.9.1                                # LGPL
pbr
PrettyTable!=3.4.0
pyOpenSSL                                              # Apache License, Version 2.0
PyYAML                                                 # MIT
python-subunit                                         # Apache-2.0 or BSD
requests!=2.20.0,!=2.24.0                              # Apache-2.0
SQLAlchemy>=2                                          # MIT
virtualenv!=16.3.0                                     # MIT

=== doc/requirements.txt ===
# main dependencies
-r ../requirements.txt
sphinx!=1.6.6,!=1.6.7,!=2.1.0 # BSD

openstackdocstheme>=2.2.0 # Apache-2.0

# plugins
rally-openstack

=== doc/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rally.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rally.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rally"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rally"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
rally (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fixes FTBFS (Closes: #1115137).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:24:05 +0200

rally (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of (build-)depends, satisfied in Trixie.
  * Blacklist test__get_pkey_dss, probably dss isn't supported by paramiko
    anymore.
  * Standards-Version: 4.7.2.
  * Use $DEB_BUILD_OPTION_PARALLEL instead of nproc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Sep 2025 15:10:02 +0200

rally (4.1.0-4) unstable; urgency=medium

  [ Santiago Vila ]
  * On single-CPU systems, skip tests which are known not to work
    (Closes: #1102022).

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Jul 2025 13:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 80~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-oslosphinx,
@@ -21,7 +21,7 @@
  python3-ddt,
  python3-decorator,
  python3-fixtures,
- python3-hacking (>= 0.12.0),
+ python3-hacking,
  python3-jinja2,
  python3-jsonschema,
  python3-markupsafe,
@@ -29,9 +29,10 @@
  python3-oslo.config,
  python3-oslo.db,
  python3-oslo.log,
+ python3-packaging,
  python3-paramiko,
  python3-prettytable,
- python3-pytest (>= 2.7),
+ python3-pytest,
  python3-pytest-xdist,
  python3-requests,
  python3-stestr,
@@ -42,7 +43,7 @@
  python3-testtools,
  python3-virtualenv,
  python3-yaml,
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/openstack/rally
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/rally
 Vcs-Git: https://salsa.debian.org/openstack-team/services/rally.git
@@ -64,6 +65,7 @@
  python3-oslo.config,
  python3-oslo.db,
  python3-oslo.log,
+ python3-packaging,
  python3-paramiko,
  python3-prettytable,
  python3-requests,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+TEST_SPEC := not test_add_point_and_get_zipped_graph_2
+TEST_SPEC += and not test__get_pkey_dss
+TEST_SPEC += and not test__get_pkey_rsa
+ifeq ($(shell nproc),1)
+  TEST_SPEC += and not test_run_scenario_constantly_for_duration
+  TEST_SPEC += and not test_run_scenario_constantly_for_duration_exception
+  TEST_SPEC += and not test_run_scenario_constantly_for_duration_timeout
+endif
+
+include /usr/share/dpkg/buildopts.mk
 
 export TOX_ENV_NAME=debianpackage
 
@@ -29,7 +40,7 @@
 	set -e ; set -x ; for PYVER in $(PYTHON3S); do \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
 			PYTHON=python$$PYVER \
-			python$$PYVER -m pytest -v -n `nproc` tests/unit -Wignore -k 'not test_add_point_and_get_zipped_graph_2' ; \
+			python$$PYVER -m pytest -v -n $(DEB_BUILD_OPTION_PARALLEL) tests/unit -Wignore -k '$(TEST_SPEC)' ; \
 	done
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rally-$1\.tar\.gz/ \
https://github.com/openstack/rally/tags .*/v?(\d\S*)\.tar\.gz
